import java.awt.*;
import java.lang.*;
import java.util.*;
import javax.swing.text.*;
import javax.swing.text.html.*;
import javax.swing.JLabel.*;
import javax.swing.*;


/**
 * Title:        Bar.java
 * Description:  Bar shows the task and its background color is selected randomly
 * Copyright:    Annemari Auvinen, Anu Niemi (c) 2001
 * Company:
 * @author       Annemari Auvinen, Anu Niemi
 * @version 1.0
 */

public class Bar extends JLabel  {
/**
 * Creates a new Bar
 * @param   task  The string to be shown in bar.
 */
  public Bar(String task) {
    super(task);
    this.setFont(new java.awt.Font("Dialog", 1, 18));
    this.setForeground(Color.black);
    Color colors[] = new Color[5];
    Random number = new Random();
    colors[0] = Color.red;
    colors[1] = Color.orange;
    colors[2] = Color.pink;
    colors[3] = Color.white;
    colors[4] = Color.yellow;
    int i = number.nextInt(5);
    this.setBackground(colors[i]);
    this.setOpaque(true);

  }

}