import java.awt.*;
import javax.swing.*;
import com.borland.dx.sql.dataset.*;
import com.borland.datastore.*;
import com.borland.dbswing.*;

/**
 * Title:        DialogBest.java
 * Description:  Dialog for best results.
 * Copyright:    Annemari Auvinen, Anu Niemi (c) 2001
 * Company:
 * @author       Annemari Auvinen, Anu Niemi
 * @version      1.0
 */

public class DialogBest extends JDialog {
  JPanel panel1 = new JPanel();
  BorderLayout borderLayout1 = new BorderLayout();
  JPanel jPanel1 = new JPanel();
  JPanel jPanel2 = new JPanel();
  JPanel jPanel3 = new JPanel();
  JPanel jPanel4 = new JPanel();
  JPanel jPanel5 = new JPanel();
  Database databaseBest = new Database();
  QueryDataSet queryDataSet1 = new QueryDataSet();
  DBDisposeMonitor dBDisposeMonitor1 = new DBDisposeMonitor();
  TableScrollPane tableScrollPane1 = new TableScrollPane();
  BorderLayout borderLayout2 = new BorderLayout();
  JdbTable jdbTable1 = new JdbTable();

/**
 * Constructor for DialogBest
 * @param   frame    Frame for the dialog.
 * @param   title    Title of the dialog.
 * @param   modal    Boolean value which indicates if the dialog is shown as modal.
 */
  public DialogBest(Frame frame, String title, boolean modal) {
    super(frame, title, modal);
    try {
      jbInit();
      pack();
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }
  }

  void jbInit() throws Exception {
    panel1.setLayout(borderLayout1);
    jPanel5.setBackground(Color.white);
    jPanel5.setLayout(borderLayout2);
//The 15 best results is got from the database.
    databaseBest.setConnection(new com.borland.dx.sql.dataset.ConnectionDescriptor("jdbc:odbc:Parhaat", "", "", false, "sun.jdbc.odbc.JdbcOdbcDriver"));
    queryDataSet1.setQuery(new com.borland.dx.sql.dataset.QueryDescriptor(databaseBest, "SELECT Name, Points\nFROM HighScore as h\nWHERE 15 > (\n     SELECT " +
      "COUNT(Id)\n     FROM HighScore AS hs\n     WHERE hs.Points > h.Points\n" +
      "     );\n", null, true, Load.ALL));
    dBDisposeMonitor1.setDataAwareComponentContainer(this);
    jPanel2.setBackground(Color.lightGray);
    jdbTable1.setDataSet(queryDataSet1);
    getContentPane().add(panel1);
    panel1.add(jPanel1, BorderLayout.NORTH);
    panel1.add(jPanel3, BorderLayout.EAST);
    panel1.add(jPanel4, BorderLayout.SOUTH);
    panel1.add(jPanel5, BorderLayout.CENTER);
    jPanel5.add(tableScrollPane1, BorderLayout.NORTH);
    tableScrollPane1.getViewport().add(jdbTable1, null);
    this.getContentPane().add(jPanel2, BorderLayout.WEST);
    databaseBest.closeConnection();
  }
}
